{
  pkgs ? import ./nix/nixpkgs.nix {}
}:
let
  ghc = import ./nix/ghc.nix;

  paths =
    [
      # Nix tooling
      pkgs.niv
      pkgs.nix-tree

      # Haskell tooling
      pkgs.stack
      (ghc pkgs)
    ];
in
  pkgs.mkShell {
    buildInputs = paths;
  }
